/* 
 * SimCoupe : Copyright (c) Allan Skillman 1996.
 *
 * File util.h - contain various common utility functions
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _UTIL_H
#define _UTIL_H

enum { SIMCOUPE_INFO, SIMCOUPE_WARN, SIMCOUPE_ERR, SIMCOUPE_FATAL };

#ifdef nec_ews
void simcoupe_mesg();
#else
void simcoupe_mesg(int error_level, ...);
#endif

FILE *open_simcoupe_file(char *name, char *mode);

void Quit(int status);
void OnQuit(void (*fn)());

void startwatch(int flag);
unsigned long stopwatch();


char *req_filename(char *prompt);

#ifdef NEED_STRCASECMP
int strcasecmp(char *s1, char *s2);
int strncasecmp(char *s1, char *s2, int n);
#endif

#endif
